<?php
/**
 * ProductPimCategoriesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductPimCategoriesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductPimCategoriesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProductPimCategory
     *
     * Создание объекта типа ProductPimCategory.
     *
     */
    public function testCreateProductPimCategory()
    {
    }

    /**
     * Test case for deleteProductPimCategory
     *
     * Запрос на удаление ProductPimCategory.
     *
     */
    public function testDeleteProductPimCategory()
    {
    }

    /**
     * Test case for getProductPimCategory
     *
     * Запрос ProductPimCategory по ID.
     *
     */
    public function testGetProductPimCategory()
    {
    }

    /**
     * Test case for replaceProductPimCategory
     *
     * Замена объекта типа ProductPimCategory.
     *
     */
    public function testReplaceProductPimCategory()
    {
    }

    /**
     * Test case for searchProductPimCategory
     *
     * Поиск объектов типа ProductPimCategory.
     *
     */
    public function testSearchProductPimCategory()
    {
    }
}
